
                             Jimm - Mobile Messaging
                       Version 0.5.1 - released 2006/10/31
                              <http://www.jimm.org/>

================================================================================
CHANGES
________________________________________________________________________________
VERSION 0.1 BETA-1

  *  New Ant-based build process
  *  For the most part message parsing code has been rewritten
  *  Jimm now sends a Keepalive packet (channel 5) every 45 seconds
  *  Improved exception handling
  *  Contact list items are sorted by status and by name now
  *  "Sent using Jimm" is added to instant messages (can be disabled)
  *  Some improvements on documentation

________________________________________________________________________________
VERSION 0.1 BETA-2

  *  Contact list bugfix
  *  Link for download via WAP added to the README file
  *  Stripline removed from the Jimm advertisement

________________________________________________________________________________
VERSION 0.1 BETA-3

  *  NEW FEATURE: Set online status (away, n/a, etc.)
  *  NEW FEATURE: Keylock
  *  NEW FEATURE: Disable keepalive packet sending
  *  Display of meta information about a user extended
  *  Progress indicator has been added to the splash screen
  *  Some small UI improvements
  *  It is now possible to append the Jimm tip once per session and user
  *  Keepalive packet send interval has been increased to 120 seconds
  *  Performance improvements at record store reading and writing
  *  Some changes on obfuscator configuration
  *  Extended error codes have been introduced

________________________________________________________________________________
VERSION 0.1 BETA-4

  *  NEW FEATURE: Message notification (off/beep/vibration) on Siemens Mobiles
  *  NEW FEATURE: It is now possible to remove contacts
  *  Setting options is now possible even when logged in
  *  Online status is now saved
  *  Login timeout mechanism reimplemented
  *  Some minor bugfixes
  *  Insertion sort instead of bubble sort
  *  Password is now encrypted saved (trivial algorithm)

________________________________________________________________________________
VERSION 0.1 BETA-5

  *  NEW FEATURE: Date and time could now be displayed on splash screen
  *  NEW FEATURE: Traffic and costs are monitored on seperate traffic screen
  *  Should now work with bigger contact lists (eg up to 70 or more on S55)
  *  Should now work on Nokia 6800

________________________________________________________________________________
VERSION 0.1 BETA-6

  *  NEW FEATURE: There is now a chat history feature available
  *  NEW FEATURE: ICQ sound can be played on S55
  *  NEW FEATURE: Light is switched on on Siemens phones when message arrives
  *  NEW FEATURE: Russian character and menu text support
  *  NEW FEATURE: The display of offline contacts can be switched off now
  *  NEW FEATURE: By name/staus sorting order of contact list is now switchable
  *  NEW FEATURE: Language module can be selected manually
  *  New Splash screen and Options pane
  *  Nokia 6800 is now own distribution set
  *  It't now possible to enter "." seperated values for the money values
  *  Major performance enhancements with contact list handling
  *  Some bug fixes

________________________________________________________________________________
VERSION 0.1 BETA-7

  *  Some UI changes

________________________________________________________________________________
VERSION 0.1 BETA-8

  *  NEW FEATURE: Soundfile name in Siemens version is now configureable
  *  NEW FEATURE: Traffic and time displayed as title of the contact list screen
  *  NEW FEATURE: The chat history feature can be disabled
  *  Images are stored in one file except of different
  *  Nokia build does not include traffic monitor anymore
  *  New Module System: Traffic monitor is a module now
  
_________________________________________________________________________________
VERSION 0.2.0

  * NEW FEATURE: Type of connection is now configurable
  * NEW FEATURE: Use of CP1251 hack is now configurable
  * NEW FEATURE: System messages will get displayed
  * NEW FEATURE: Requests of authorisation can be answered
  * NEW FEATURE: Adding users by UIN is now supported
  * NEW FEATURE: There is a MIDP2 version supporting sound
  * NEW FEATURE: There is now also sound support for upcoming contacts
  * NEW FEATURE: It is now possible to search for users
  * There is no special Nokia version anymore
  * Options are handled in a different more efficient way.
  * Some bug fixes
 
________________________________________________________________________________
VERSION 0.2.1

  * Login procedure has been updated
  * Some minor optimizations
  
________________________________________________________________________________
VERSION 0.2.2

  * Bugfix: It was not possible to send an inital message to a contact
  
________________________________________________________________________________
VERSION 0.2.3

  * NEW FEATURE: Added mp3 soundfile support for MIDP2 build. (Only if your device can play mp3)
  * NEW FEATURE: Added vibrator support for MIDP2 build.
  * NEW FEATURE: Current online status can be seen in main menu when online
  * NEW FEATURE: Contact list can be shown even if offline
  * NEW FEATURE: Supports sending of Type 2 messages
  * Bugfix: City field is now taken into account which searching
  * Before removing a contact form the list the user is asked if he really wants to
  * Sending a message now leads to the chat history not to the contact list
  * Added Hebrew translation
  * Added back button to the status selet screen
  
________________________________________________________________________________
VERSION 0.3.0

  * NEW FEATURE: File transfer to other > ICQ v8 clients (MIDP2 version only)
  * NEW FEATURE: New chat history added
  * NEW FEATURE: Group display support
  * Quick adding temporary contact to contact list
  * Switching between chats with "left" and "right" buttons
  * There is now a new "Signaling" menu in options for sound settings
  * You can now set the sound volume for online and message sounds
  * General sound format support but only wav-files (PCM) will be in the release
  * New option "Small font in chat"
  * Search results are now drawn with DrawTools (like the new chat history)
  * Many minor bugfixes

________________________________________________________________________________
VERSION 0.3.1

  * NEW FEATURE: You can now add and delete groups
  * NEW FEATURE: Users of the Nokia 6230 can now set the connection delay in the network menu
  * Bugfix: Time display on message timestamp was not correct
  * Bugfix: If you try to add a contact and there are no groups you can make a new one
  * Bugfix: There is now a 100% unique ID created for new contacts and groups
  * Bugfix: IDs created for new contacts/groups is now in the needed range
  * Bugfix: Fixed invisible mode bug. Now invisible contacts are shown correctly
  * Bugfix: Now it is possible to delete contact from contact list in Siemens build
  * "Use cp1251 hack" option is true by default in the russian build
  * Program asks user before exit if unread messages exist
  * Contact names can be changed locally till next list update from server
  * If selected the date and time on the splash screen is now located on top of the screen
  * Added Bulgarian translation
  
________________________________________________________________________________
VERSION 0.4.0

  * NEW FEATURE: New module: Text messages history storing
  * NEW FEATURE: File explorer for file selection on supporting mobiles
  * NEW FEATURE: New SIEMENS2 version for Siemens MIDP2 phones with file explorer
  * NEW FEATURE: New MOTOROLA version for Motorola MIDP2 phones
  * NEW FEATURE: Turn backlight on/off by STAR button in MOTOROLA build
  * NEW FEATURE: Automatic light control in MOTOROLA version
  * BUGFIX: Sending messages was not possible after renaming a contact
  * BUGFIX: Time bug (hopefully) fixed
  * BUGFIX: 125.1 exception was shown after each file transfer.
  * BUGFIX: "Deadlock" when renaming or adding contacts
  * BUGFIX: Red LED was blinking forever in RIM build
  * BUGFIX: Sound system crashed on some phones when two messages came together
  * ContactList title is now different depending on the length of the word "list"
  * Options subpages now have a back button so you can go back without saving
  * There now is a message informing you if the file transfer was ok
  * In the file transfer ok window you can see the speed of the file transfer
  * Progressbar for file transfer is now drawn more precise
  * You can see size and cost of file transfer before sending
  * New option: Auto connect on startup
  * New option for MOTOROLA: Light timeout and manual light control
  * A message how to disable keylock is shown on splash screen if trying it the wrong way
  * Name of recipient is shown on top of message edit field
  * On the ChatHistory screen you can now see how many chats are open and in which one you are
  * Contact names are now also updated on server list if renamed in Jimm
  * Added new option "Color scheme"
  * Added "Shadow connection" hack for Nokia 6230 users
  * Contact list sorts without case sensitivity now
  * Target modules and free heap memory are displayed on about screen.
  * Password is saved in UTF-8 format now
  * Jimm supporst minimizing in supporting platforms (e.g. SE K700i)
  * New images that are smaller and should work on Nokia 6230i
  * Added Ukrainian translation
  * Added Polish translation
  
________________________________________________________________________________
VERSION 0.4.1

  * NEW FEATURE: Now Jimm is able to send out status messages
  * NEW FEATURE: Now Jimm is able to request the status messages from other users
  * NEW FEATURE: You can now select Jimm to only vibrate in keylock mode
  * NEW FEATURE: You can now remove yourself from another users contact list
  * NEW FEATURE: It is possible to add any message from chat to history  
  * NEW FEATURE: Added menu to clear history for all contacts
  * NEW FEATURE: Added smiles in message chat
  * NEW FEATURE: Now is possible to copy text from chat or from history
                 and use it when writing new message
  * BUGFIX: Problems with filetransfer to ips with more then 2 digits resolved
  * BUGFIX: Timestamp for offline messages is now correct
  * BUGFIX: Working with file browser cannot close app on Nokia phones anymore
  * BUGFIX: Play sound is synchronized now. Should fix sound bug on Nokia
  * Jimm wil now only weakup from minimized if your status is online of free for chat
  * Keylock message is now directly drawn to splash canvas
  * Improved navigation in chat
  * Jimm will now only weakup from minimized if your status is online of free for chat
  * Added counter to message notifyer on keylock splashscreen
  * Added choice of gender to search user function
  * Added visual notification about incoming message or about contact status 
    changing when message is writing

________________________________________________________________________________
VERSION 0.4.2

  * NEW FEATURE: It is possible to check is contact in offline or in invisible status
  * NEW FEATURE: There is a module allowing you to connect via a SOCKS proxy
  * BUGFIX: Corrected wrong coding for offline messages
  * BUGFIX: Requesting status message from users in DND and OCC state was not working
  * BUGFIX: Requesting status message with MIDP2, SIEMENS2 and MOTOROLA version without 
            files module was not working
  * BUGFIX: Number of chat was shown incorrectly when selecting with left/right keys          
  * You can now see on about screen if you have the latest version of Jimm
  * Now you can see full contact information
  * New structure for res files  
  * build-release.xml is now building a .7z archive instead of .tar.gz
  * Rewrote the code for the Options UI to be more moduar and nicer
  * Smiles are inserted at correct possition on Sony Ericsson phones
  * Keepalive packet interval is now configurable
  
_______________________________________________________________________________
VERSION 0.4.3

  * BUGFIX: NullPointer when starting Jimm was confusing some S60 devices (emulator at least)
  * BUGFIX: Using nav keys when having only one "window" open was causing NullPointer
  * BUGFIX: Contact changing status while typing a message to him could lead to NullPointer
  * BUGFIX: Writing a message to a contact when Jimm is offline was causing a NullPointer
  * BUGFIX: Connecting was not possible on builds without PROXY module (even if not activated)

_______________________________________________________________________________
VERSION 0.5.0

  * NEW FEATURE: Popup window when message arrived (optional)
  * NEW FEATURE: Configurable hotkeys
  * NEW FEATURE: Connection via HTTP possilble
  * NEW FEATURE: Jimm can show contact client info. 
                 Also Jimm is specified as JIMM client for other ones.
  * NEW FEATURE: Classic chat (text at top and edit area at bottom). For SIEMENS2 build only
  * NEW FEATURE: Safe login (MD5 login). Strongly recommended if socks-proxy is used.
  * NEW FEATURE: Support for several accounts (max. 3 accounts are allowed)
  * NEW FEATURE: Jimm can open URLs from messages in phone browser
  * NEW FEATURE: Text templates
  * NEW FEATURE: Typing notifications
  * BUGFIX: Jimm sometimes crashed if was restored from flip on Motorola phones
  * BUGFIX: There are no more echo errors after errorous connections
  * BUGFIX: Jimm stoped login when received offline message from unknown contact
  * BUGFIX: Flag "no auth" was not stored in RMS
  * BUGFIX: Sometimes chats disappear after reconnect
  * BUGFIX: Contact status was wrong after adding contact
  * BUGFIX: Contacts renamed in Jimm with non-ascii letters were shown incorrectly
            in other ICQ clients
  * BUGFIX: Jimm should disconnect properly when selecting exit from the main menu
  * BUGFIX: Fixed coding for ukranian cp1251 charset
  * Possible to quote big messages (no more than 4kb)
  * Contact name which consists of digits is renamed automatically after
    requesting user info
  * Deleted ability to send URL message as it is possible to send URLs as text
    messages
  * Added possibility to save stored history to file (on SIEMENS only)
  * Rewrote Connection handler to be more modular and better readable
  * Now Jimm works with touchscreen (only for MIDP2 build)
  * New language system is done. Language strings are stored in *.lng files now
  * Now chat is filled with five last messages from history when opened (optional)
  * Text from user info can be copied
  * Removed creeping line as there were too much bugs on some mobile phones
  * Menu "Minimize" is shown only on sony-ericsson phones
  * Options are now compartible between Jimm versions (will be imported from 0.2.0 on)
  * Pressing red button on Nokia phones will now end Jimm in a cleaner way
  * Internal data handling for ContactItems rewritten (should consume less heap)
  * Login time, online time and idle time can be seen on Information page
  * Code optimized for lower memory usage
  * External IP of contact are shown in client info
  * Status of temporary contacts and contacts awaiting authorization is shown
  * Improved dialogs for deleting chat and history (it is possible to delete
    current item, others items or all items)
  * It is possible to select full screen for contact list, chats etc...
  * New Option "Time" to setup time zone
  * Status of contact are shown in the caption of chat in fullscreen mode
  * Contacts groups management is extended. It is possible now to rename groups and
    to move contacts between groups.
  * Traffic Screen is now also using TextList for displaying information
  * Traffic now counts additional GPRS headers to be hopefully more accurate
  * Configurable "User-Agent:" header for HTTP-Connection to make Jimm work with 
    services which require special "User-Agent" when using HTTP.
  * New util JLFT - "Jimm Lang File Tool" for easy comparing and changing Jimm .lang files
  
_______________________________________________________________________________
VERSION 0.5.1

  * BUGFIX: Normal login was not working anymore (ICQ protocol change) (MD5 login did work)
  * Platform information is shown on about screen
